/* _content/BDT.App/Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-84qbxiqsyb] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-84qbxiqsyb] {
    flex: 1;
}
.Content[b-84qbxiqsyb] {
    background-color: var(--no-input-bg-color);
    height: calc(100vh - var(--top-row-height)) !important;
}

.sidebar[b-84qbxiqsyb] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-84qbxiqsyb] {
    background-color: #aaa;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: var(--top-row-height);
    padding: 0!important;
    margin: 0!important;
    display: flex;
    align-items: center;
}

    .top-row[b-84qbxiqsyb]  a, .top-row[b-84qbxiqsyb]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-84qbxiqsyb]  a:hover, .top-row[b-84qbxiqsyb]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-84qbxiqsyb]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-84qbxiqsyb] {
        justify-content: space-between;
    }

    .top-row[b-84qbxiqsyb]  a, .top-row[b-84qbxiqsyb]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-84qbxiqsyb] {
        flex-direction: row;
    }

    .sidebar[b-84qbxiqsyb] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-84qbxiqsyb] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-84qbxiqsyb]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-84qbxiqsyb], article[b-84qbxiqsyb] {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
}

#blazor-error-ui[b-84qbxiqsyb] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-84qbxiqsyb] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* _content/BDT.App/Components/Layout/PxTopMenuComponent/PxTopMenu.razor.rz.scp.css */
[b-sin5k301e4] .bi {
    display: inline-block;
    position: relative;
    width: 1.45rem;
    height: 1.45rem;
    margin-right: -.5rem;
    top: 3px;
    background-size: cover;
}

[b-sin5k301e4] .topMenu {
    background-color: #333!important;
    color: #eee;
    border-bottom: solid 4px black;
    border-top: 0px;
}
/* _content/BDT.App/Modules/Legacy/Pages/BdtLegacy.razor.rz.scp.css */
.legacyIFrame[b-fz8ocawwc0] {
    background-color: var(--input-bg-color);
    width: calc(100vw - 2rem) !important;
    height: calc(100vh - var(--top-row-height)) !important;
    max-width: 1400px;
    padding: 0;
    margin: 0;
}
/* _content/BDT.App/Modules/ReportingModules/Components/PxReportViewerDialog.razor.rz.scp.css */
.pxReportViewer[b-t2momg0sle] {
    height: 90vh;
    width: 70vw;
    margin-top: -.8rem;
    margin-bottom: -.0rem;
    margin-left: -.7rem;
    margin-right: -1.7rem;
}
